"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const memcached_1 = require("../memcached");
describe(memcached_1.MemcachedDriver.name, () => {
    describe("#del", () => {
        it("should work", async () => {
            const memcached = new memcached_1.MemcachedDriver(process.env.MEMCACHED_URL, { autoDiscovery: false });
            chai_1.expect(await memcached.del("Key")).to.be.eq(false);
            await memcached.set("Key", null);
            chai_1.expect(await memcached.del("Key")).to.be.eq(true);
        });
    });
});
//# sourceMappingURL=memcached_spec.js.map